local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____shouldFire = require("src.shouldFire")
local shouldFireNPC = ____shouldFire.shouldFireNPC
local ____CustomCallback = require("src.classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostNPCDeathFilter = __TS__Class()
local PostNPCDeathFilter = ____exports.PostNPCDeathFilter
PostNPCDeathFilter.name = "PostNPCDeathFilter"
__TS__ClassExtends(PostNPCDeathFilter, CustomCallback)
function PostNPCDeathFilter.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireNPC
    self.postNPCDeath = function(____, npc)
        self:fire(npc)
    end
    self.callbacksUsed = {{ModCallback.POST_NPC_DEATH, self.postNPCDeath}}
end
return ____exports
